module module_snowball
  
  implicit none

  character(len=7), parameter :: geoplace='snowbal'    ! geoplace
  character(len=21), parameter  :: dirnameinp='../../INPUT/SNOWBALL/' ! input directory
  character(len=20), parameter  :: dirforcage='../../INPUT/Forcage/' ! input directory

! dimensionnement grilles
!-------------------------
  integer, parameter :: nx=679           ! 625 dimension selon x (indice i)
  integer, parameter :: ny=300           ! 325 dimension selon y (indice j)
  integer, parameter :: nlmin=679        ! 625 min(nx,ny), pour matrice elliptique  
  integer, parameter :: nz=21            ! dimension selon z (indice k) 
  integer, parameter :: nzm=4            ! nb de points verticaux dans le socle
  integer, parameter :: nn=679           ! 625 pour des sorties
!cdc integer, parameter :: nx1=nx-1,ny1=ny-1,nz1=nz-1


! pas horizontal
!-----------------
  real, parameter :: dx=40000.0
  real, parameter :: dy=40000.0             ! pas en X et Y en m


end module module_snowball
