!> \file lect-eis.F
!! Module pour la lecture des donnees
!<

!> SUBROUTINE: lect_eis
!! Lecture des coupes
!! \author ...
!! \date ...
!! @param  nx                dimension along x
!! @param  ny                dimension along y
!! @param  data              array for reading
!! @param  filin             
!! @param  dirnameinp           
!! @return data              the value of Tab(nxx,nyy): Warning it is a real

      
subroutine lect_eis(nx,ny,data,filin,DIRNAMEINP)

  implicit none
  character(len=20)  :: DIRNAMEINP
  integer nx,ny,i,j,kdum
  real data(nx,ny)
  character(len=80) :: title,fmt
  character(len=80) :: filin

  integer :: num_coupe = 11

  filin = TRIM(DIRNAMEINP)//TRIM(filin)


  open(num_coupe,file=filin)

  read(num_coupe,'(A80)') title
  read(num_coupe,'(A80)') fmt

  do J=1,NY
     read(num_coupe,fmt) kdum,(data(i,j),i=1,NX)
  end do

  close(num_coupe)
  return
end subroutine lect_eis

subroutine lect_ieis(nx,ny,data,filin,DIRNAMEINP)

  implicit none
  character(len=17)  :: DIRNAMEINP
  integer nx,ny,i,j,kdum
  integer data(nx,ny)
  character(len=80) :: title,fmt
  character(len=80) :: filin

  integer :: num_coupe = 11
  filin = TRIM(DIRNAMEINP)//TRIM(filin)

  open(num_coupe,file=filin)

  read(num_coupe,'(A80)') title
  read(num_coupe,'(A80)') fmt

  do J=1,NY
     read(num_coupe,fmt) kdum,(data(i,j),i=1,NX)
  end do

  close(num_coupe)
  return
end subroutine lect_ieis
